Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class DLSSoundbank

    java.lang.Object
      com.sun.media.sound.DLSSoundbank

All Implemented Interfaces:
  javax.sound.midi.Soundbank

    public class DLSSoundbank

extends java.lang.Object
implements javax.sound.midi.Soundbank

A DLS Level 1 and Level 2 soundbank reader (from files/url/streams).

Author:
  Karl Helgason

Constructor Summary
`DLSSoundbank()`
`DLSSoundbank(java.io.File file)`
`DLSSoundbank(java.io.InputStream inputstream)`
`DLSSoundbank(java.net.URL url)`

Method Summary
`void` | `addInstrument(DLSInstrument resource)`
`void` | `addResource(javax.sound.midi.SoundbankResource resource)`
`java.lang.String` | `getDescription()`
`DLSInfo` | `getInfo()`
`javax.sound.midi.Instrument` | `getInstrument(javax.sound.midi.Patch patch)`
`DLSInstrument[]` | `getInstruments()`
`long` | `getMajor()`
`long` | `getMinor()`
`java.lang.String` | `getName()`
`javax.sound.midi.SoundbankResource[]` | `getResources()`
`DLSSample[]` | `getSamples()`
`java.lang.String` | `getVendor()`
`java.lang.String` | `getVersion()`
`void` | `removeInstrument(DLSInstrument resource)`
`void` | `removeResource(javax.sound.midi.SoundbankResource resource)`
`void` | `save(java.io.File file)`
`void` | `save(java.io.OutputStream out)`
`void` | `save(java.lang.String name)`
`void` | `setDescription(java.lang.String s)`
`void` | `setMajor(long major)`
`void` | `setMinor(long minor)`
`void` | `setName(java.lang.String s)`
`void` | `setVendor(java.lang.String s)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLSSoundbank

    public DLSSoundbank()

### DLSSoundbank

    public DLSSoundbank(java.net.URL url)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

### DLSSoundbank

    public DLSSoundbank(java.io.File file)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

### DLSSoundbank

    public DLSSoundbank(java.io.InputStream inputstream)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### save

    public void save(java.lang.String name)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### save

    public void save(java.io.File file)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### save

    public void save(java.io.OutputStream out)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### getInfo

    public DLSInfo getInfo()

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `javax.sound.midi.Soundbank`

### getVersion

    public java.lang.String getVersion()

  Specified by:
    `getVersion` in interface `javax.sound.midi.Soundbank`

### getVendor

    public java.lang.String getVendor()

  Specified by:
    `getVendor` in interface `javax.sound.midi.Soundbank`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `javax.sound.midi.Soundbank`

### setName

    public void setName(java.lang.String s)

### setVendor

    public void setVendor(java.lang.String s)

### setDescription

    public void setDescription(java.lang.String s)

### getResources

    public javax.sound.midi.SoundbankResource[] getResources()

  Specified by:
    `getResources` in interface `javax.sound.midi.Soundbank`

### getInstruments

    public DLSInstrument[] getInstruments()

  Specified by:
    `getInstruments` in interface `javax.sound.midi.Soundbank`

### getSamples

    public DLSSample[] getSamples()

### getInstrument

    public javax.sound.midi.Instrument getInstrument(javax.sound.midi.Patch patch)

  Specified by:
    `getInstrument` in interface `javax.sound.midi.Soundbank`

### addResource

    public void addResource(javax.sound.midi.SoundbankResource resource)

### removeResource

    public void removeResource(javax.sound.midi.SoundbankResource resource)

### addInstrument

    public void addInstrument(DLSInstrument resource)

### removeInstrument

    public void removeInstrument(DLSInstrument resource)

### getMajor

    public long getMajor()

### setMajor

    public void setMajor(long major)

### getMinor

    public long getMinor()

### setMinor

    public void setMinor(long minor)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD